[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TFileItem.isFolder

True when the item represents a folder on the local file system.

## Declaration

Source position: shellctrls.pas line 67

`public TFileItem.isFolder : Boolean;`

## Description

isFolder is a Boolean member which indicates if the item represents a folder or directory on the local file system. Its value is assigned in the Create constructor, and is set to True if the TSearchRec instance in the DirInfo argument includes faDirectory in its Attr member.

## See also

TFileItem.Create |  | Constructor for the class instance.
TFileItem.FileInfo |  | TSearchRec instance with information about the file or directory in the item.
TFileItem.BasePath |  | Path to the directory where the file item is stored on the local file system.
TSearchRec